Bug 1121747 - Adding multiple builds at once breaks pagination and sorting
Summary: Adding multiple builds at once breaks pagination and sorting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Samalik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 18:54 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 06:42:16 UTC


Attachments (Terms of Use)

Description Daniel Vrátil 2014-07-21 18:54:43 UTC
Description of problem:
Adding multiple builds at once breaks pagination of the "Builds" tab - see http://copr.fedoraproject.org/coprs/dvratil/plasma-5/builds/ where two batches were added, which span over two pages (try appending "2" to the URL), but no pagination is shown.

Also the batches are listed in reverse order of ID: if you look at the list of IDs on the link above, the builds are sorted 22954. 22955, 22956, 22957, 22958, 22950, ... - the order also changes once some builds are started (?). I'd expect the builds to be sorted descendigly by ID


Version-Release number of selected component (if applicable):


How reproducible:
Always



Steps to Reproduce:
1. Add multiple SRPMs at once via the "New build" interface.
2. Repeat step 1 until you get more than 10 builds
3. Check the "Builds" page

Actual results:
No pagination, weird sorting


Expected results:
Pagination is shown and builds are sorted by ID in descending order.


Additional info:

Comment 1 Adam Samalik 2014-07-22 13:02:44 UTC
Hi Dan, thanks for letting me know! I fixed it in 3be56d6.


Note You need to log in before you can comment on or make changes to this bug.